none
.NET framework 3.5 or earlier RRS feed

  • Question

  • When Microsoft Enable/Add the .NET framework 3.5 or earlier in windows server 2016 Container.

    Thanks

    Sujay

    Monday, November 23, 2015 7:10 AM

Answers

  • Hello,

    We have added a doc on how to create a server core container with .NET 3.5. You can read it here.

    You can also use docker to pull a container image that has .NET 3.5. You can do this by doing:

    docker pull microsoft/dotnet35
    Saturday, December 12, 2015 12:22 AM
    Moderator

All replies

  • Hello Sujay,

    We have tested the .NET 3.5 on a Windows Server Container using a Server Core base image, and it works. We have not tested any earlier version of the .NET framework. You can see other things we have tried in our app compat page here.

    Regards,
    Ender

    Tuesday, December 1, 2015 10:31 PM
    Moderator
  • Hi again,

    I just noticed that it's removed from the list of windows features. There is a way to install it that involves getting the .NET 3.5 cab file from the TP4 ISO. I'll write the steps on how to do this and get back to you.

    Wednesday, December 2, 2015 6:49 PM
    Moderator
  • Hello,

    We have added a doc on how to create a server core container with .NET 3.5. You can read it here.

    You can also use docker to pull a container image that has .NET 3.5. You can do this by doing:

    docker pull microsoft/dotnet35
    Saturday, December 12, 2015 12:22 AM
    Moderator